2004年11月16日

[debian-users:41977] apache2+php4でlibphp4.soが読み込めない

debian-sargeです。

apache2をインストール後,php4をインストール。どちらも、apt-getによる方法で
す。

httpd.confに

LoadModule php4_module /usr/lib/apache/1.3/libphp4.so
DirectoryIndex index.html index.htm index.shtml index.cgi index.php
AddType application/x-httpd-php .php .phtml .php3

AddType application/x-httpd-php-source .phps

と記入し、apacheをrestartしたところ、

Cannot load /usr/lib/apache/1.3/libphp4.so into server:
/usr/lib/apache/1.3/libphp4.so: undefined symbol: ap_block_alarms

と出て、restartができませんでした。

dpkg -lによる、関係のインストールプログラムは次の通りです。

ii apache-common 1.3.31-7 Support files for all Apache webservers
ii apache-utils 1.3.31-7 Utility programs for webservers
ii apache2 2.0.52-2 Next generation, scalable, extendable
web serv
ii apache2-common 2.0.52-2 Next generation, scalable, extendable
web serv
ii apache2-doc 2.0.52-2 Documentation for apache2
ii apache2-mpm-wor 2.0.52-2 High speed threaded model for Apache2
ii apache2-threade 2.0.52-2 Development headers for apache2

ii php4 4.3.9-1 server-side, HTML-embedded scripting
language
ii php4-common 4.3.9-1 Common files for packages built from the
php4
ii php4-mysql 4.3.9-1 MySQL module for php4

確かに、php4はapache1.3のを使っています。これがだめなのでしょうか。しかし、
インターネットの各自の紹介サイトでは、これで問題なく動いているようです。この
システムは、どこが悪いのでしょうか、おそえてください。私の同じトラブルの方は
いないのでしょうか。

nary_kato


投稿者 xml-rpc : 2004年11月16日 23:29
役に立ちました?:
過去のフィードバック 平均:(0) 総合:(0) 投票回数:(0)
本記事へのTrackback: http://hoop.euqset.org/blog/mt-tb2006.cgi/27871
トラックバック
コメント
コメントする




画像の中に見える文字を入力してください。